/**
 * Genreal shared functions.
 *
 * @description File for set shared functions.
 */
export declare const generateRamdomID: () => string;
export declare const isJsonString: (str: string) => boolean;
export declare const objectToJson: (v: object | object[]) => string;
export declare const jsonToObj: (v: string) => any;
export declare const deepCopy: <T>(obj: T) => T;
export declare const addStyleToHead: (id: string, styleString: string) => void;
export declare const copyText: (text: string) => Promise<void>;
export declare const isObject: (item: any) => any;
export declare const isObjectAndArray: (item: any) => any;
export declare const mergeDeep: (target: any, ...sources: any[]) => any;
type MergeDeepByIdItem = {
    id: string;
    [key: string]: unknown;
};
export declare const mergeDeepById: (arr1: MergeDeepByIdItem[], arr2: MergeDeepByIdItem[]) => MergeDeepByIdItem[];
export declare const clickOutside: (node: any) => {
    destroy(): void;
};
export declare const deepEqual: (object1: any, object2: any) => boolean;
export declare const functs: {
    color: {
        getHexDarken: (color: string) => string;
        getRandom: () => {
            name: string;
            value: string;
        };
        arrayToRgbaString: (colorArray: number[]) => string;
        getOpacity: (color: string) => number;
        toRgba: (color: string, opacity: number) => string;
        toRgb: (color: string) => string;
        toHex: (color: string) => string;
        toHexWithoutOpacity: (color: string) => string;
    };
    deepEqual: (object1: any, object2: any) => boolean;
    clickOutside: (node: any) => {
        destroy(): void;
    };
    mergeDeep: (target: any, ...sources: any[]) => any;
    mergeDeepById: (arr1: MergeDeepByIdItem[], arr2: MergeDeepByIdItem[]) => MergeDeepByIdItem[];
    isObjectEmpty: (obj: object) => boolean;
    copyText: (text: string) => Promise<void>;
    generateRamdomID: () => string;
    isJsonString: (str: string) => boolean;
    isObjectAndArray: (item: any) => any;
    jsonToObj: (v: string) => any;
    objectToJson: (v: object | object[]) => string;
    deepCopy: <T>(obj: T) => T;
    addStyleToHead: (id: string, styleString: string) => void;
};
export {};
