import { SvelteComponent } from "svelte";
import { type ComponentFilters } from "../index";
declare const __propDef: {
    props: {
        /** @type {ComponentFilters['type']} */ type?: import("../types").ObjectValues<{
            readonly sidebar: "sidebar";
            readonly main: "main";
        }> | undefined;
        /** @type {ComponentFilters['toSelectors']} */ toSelectors?: string[] | undefined;
        /** @type {ComponentFilters['btn']} */ btn?: ComponentFilters['btn'];
        /** @type {ComponentFilters['content']} */ content?: ComponentFilters['content'];
        /** @type {ComponentFilters['locales']} */ locales?: ComponentFilters['locales'];
        /** @type {ComponentFilters['id']} */ id?: string | undefined;
        /** @type {ComponentFilters['active']} */ active?: boolean | undefined;
        /** @type {ComponentFilters['document']} */ document?: ComponentFilters['document'];
        /** @type {ComponentFilters['position']} */ position?: ComponentFilters['position'];
        /** @type {ComponentFilters['optionsLimit']} */ optionsLimit?: ComponentFilters['optionsLimit'];
        /** @type {ComponentFilters['valuesChanged']} */ valuesChanged?: ComponentFilters['valuesChanged'];
        /** @type {ComponentFilters['values']} */ value?: {
            id: import("../types").FilterCustomIds;
            value: string | number | boolean;
            unit?: string | undefined;
        }[] | undefined;
        /** @type {ComponentFilters['hide']} */ hide?: boolean | undefined;
        /** @type {ComponentFilters['presets']} */ presetsValue?: {
            value: string;
            customList: [] | import("../types").IFiltersPresets;
        } | undefined;
        /** @type {(v: ComponentFilters['active']) => void} */ changeActive?: ((v: ComponentFilters['active']) => void) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        header: {
            slot: string;
        };
        content: {
            slot: string;
        };
        footer: {
            slot: string;
        };
    };
};
export type MainProps = typeof __propDef.props;
export type MainEvents = typeof __propDef.events;
export type MainSlots = typeof __propDef.slots;
/**
 * [Go to docs](/packages/_core/docs/components-index.md)
 *
 * @example
 * <Filters
 *   type={componentTypes.filters.main}
 *   active={true}
 *   id='ps-s8-styless'
 *   btn={{
 *     title : 'Super 8',
 *   }}
 *   position='right'
 *   locales={undefined}
 *   toSelectors={[
 *     'iframe',
 *   ]}
 *   document={undefined}
 *   content={{
 *     height: '80vh'
 *   }}
 *   bind:value={value}
 *   bind:hide={isHide}
 *   bind:presetsValue={presetsValue}
 * >
 *   <div slot="header" class="flex flex-col items-center">
 *     <img src="/logo.png" alt="Logo" width="200px" >
 *   </div>
 *   <div slot="content">
 *     <Not >
 *     This a custom notification
 *     </Not>
 *   </div>
 *   <div slot="footer" class="flex flex-col items-center">
 *     <span class="opacity-50 text-[10px]">© copyright PigeonPosse</span>
 *   </div>
 * </Filters>
 */
export default class Main extends SvelteComponent<MainProps, MainEvents, MainSlots> {
    get changeActive(): (v: boolean) => void;
}
export {};
