/**
 * Filter Store: Shared features.
 *
 * @description Define all filter store shared functions in this file.
 */
/// <reference types="svelte" />
export declare const sectionFunct: (keys: string[], openDefault?: string) => {
    open: (id: string | number) => void;
    reset: () => void;
    closeAll: () => void;
    set(this: void, value: {
        [key: string]: boolean;
    }): void;
    update(this: void, updater: import("svelte/store").Updater<{
        [key: string]: boolean;
    }>): void;
    subscribe(this: void, run: import("svelte/store").Subscriber<{
        [key: string]: boolean;
    }>, invalidate?: import("svelte/store").Invalidator<{
        [key: string]: boolean;
    }> | undefined): import("svelte/store").Unsubscriber;
};
