/**
 * Filters items store.
 *
 * @description Define all Filters items store functions in this file.
 */
/// <reference types="svelte" />
import More from '../tabs/more/main.svelte';
import Custom from '../tabs/custom/main.svelte';
import Presets from '../tabs/presets/main.svelte';
import { allowedFilterTabs } from '../../types';
export declare const items: {
    allowedItems: import("svelte/store").Writable<import("../../types").ObjectValues<{
        readonly custom: 1;
        readonly preset: 2;
        readonly more: 3;
        readonly btn: 4;
    }>[] | undefined>;
    ifHasValue: (id: (typeof allowedFilterTabs)[keyof typeof allowedFilterTabs]) => boolean;
    subscribe(this: void, run: import("svelte/store").Subscriber<({
        name: string;
        desc: string;
        value: 1;
        indicator: boolean;
        component: typeof Custom;
    } | {
        name: string;
        desc: string;
        value: 2;
        indicator: boolean;
        component: typeof Presets;
    } | {
        name: string;
        desc: string;
        value: 3;
        component: typeof More;
        indicator?: undefined;
    })[]>, invalidate?: import("svelte/store").Invalidator<({
        name: string;
        desc: string;
        value: 1;
        indicator: boolean;
        component: typeof Custom;
    } | {
        name: string;
        desc: string;
        value: 2;
        indicator: boolean;
        component: typeof Presets;
    } | {
        name: string;
        desc: string;
        value: 3;
        component: typeof More;
        indicator?: undefined;
    })[]> | undefined): import("svelte/store").Unsubscriber;
};
