/**
 * Filters locales store.
 *
 * @description Define all Filters locale store functions in this file.
 */
/// <reference types="svelte" />
import type { ComponentFilters } from '../../types';
export declare const locales: {
    add: (locales: ComponentFilters['locales']) => void;
    set(this: void, value: {
        reset: {
            title: string;
            desc: string;
        };
        limit: {
            optionBlock: string;
            limitAllowed: string;
            nots: {
                onLimit: string;
            };
        };
        hide: {
            title: string;
            desc: string;
        };
        show: {
            title: string;
            desc: string;
        };
        presets: {
            title: string;
            desc: string;
            official: {
                title: string;
                desc: string;
            };
            user: {
                title: string;
                desc: string;
                none: string;
                btnRemove: string;
            };
        };
        more: {
            title: string;
            desc: string;
            copy: {
                title: string;
                desc: string;
                btn: {
                    title: string;
                    onClick: string;
                };
                nots: {
                    success: string;
                };
            };
            addPresets: {
                title: string;
                desc: string;
                inputName: {
                    title: string;
                    desc: string;
                    placeholder: string;
                };
                inputObject: {
                    title: string;
                    desc: string;
                    placeholder: string;
                };
                btn: {
                    title: string;
                };
                nots: {
                    success: string;
                    errorName: string;
                    errorObject: string;
                };
            };
        };
        custom: {
            title: string;
            desc: string;
            border: {
                title: string;
                desc: string;
                values: {
                    "border-width": {
                        title: string;
                        desc: string;
                    };
                    "border-radius": {
                        title: string;
                        desc: string;
                    };
                    "border-style": {
                        title: string;
                        desc: string;
                    };
                    "border-color": {
                        title: string;
                        desc: string;
                    };
                };
            };
            shadow: {
                title: string;
                desc: string;
                values: {
                    "box-shadow--x": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--y": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--spread": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--blur": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--inset": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--color": {
                        title: string;
                        desc: string;
                    };
                };
            };
            filter: {
                title: string;
                desc: string;
                values: {
                    "filter--blur": {
                        title: string;
                        desc: string;
                    };
                    "filter--brightness": {
                        title: string;
                        desc: string;
                    };
                    "filter--contrast": {
                        title: string;
                        desc: string;
                    };
                    "filter--grayscale": {
                        title: string;
                        desc: string;
                    };
                    "filter--hue-rotate": {
                        title: string;
                        desc: string;
                    };
                    "filter--invert": {
                        title: string;
                        desc: string;
                    };
                    "filter--opacity": {
                        title: string;
                        desc: string;
                    };
                    "filter--saturate": {
                        title: string;
                        desc: string;
                    };
                    "filter--sepia": {
                        title: string;
                        desc: string;
                    };
                };
            };
            animation: {
                title: string;
                desc: string;
                nots: {
                    comingsoon: {
                        title: string;
                        desc: string;
                    };
                };
            };
            addPreset: {
                title: string;
                desc: string;
            };
        };
    }): void;
    update(this: void, updater: import("svelte/store").Updater<{
        reset: {
            title: string;
            desc: string;
        };
        limit: {
            optionBlock: string;
            limitAllowed: string;
            nots: {
                onLimit: string;
            };
        };
        hide: {
            title: string;
            desc: string;
        };
        show: {
            title: string;
            desc: string;
        };
        presets: {
            title: string;
            desc: string;
            official: {
                title: string;
                desc: string;
            };
            user: {
                title: string;
                desc: string;
                none: string;
                btnRemove: string;
            };
        };
        more: {
            title: string;
            desc: string;
            copy: {
                title: string;
                desc: string;
                btn: {
                    title: string;
                    onClick: string;
                };
                nots: {
                    success: string;
                };
            };
            addPresets: {
                title: string;
                desc: string;
                inputName: {
                    title: string;
                    desc: string;
                    placeholder: string;
                };
                inputObject: {
                    title: string;
                    desc: string;
                    placeholder: string;
                };
                btn: {
                    title: string;
                };
                nots: {
                    success: string;
                    errorName: string;
                    errorObject: string;
                };
            };
        };
        custom: {
            title: string;
            desc: string;
            border: {
                title: string;
                desc: string;
                values: {
                    "border-width": {
                        title: string;
                        desc: string;
                    };
                    "border-radius": {
                        title: string;
                        desc: string;
                    };
                    "border-style": {
                        title: string;
                        desc: string;
                    };
                    "border-color": {
                        title: string;
                        desc: string;
                    };
                };
            };
            shadow: {
                title: string;
                desc: string;
                values: {
                    "box-shadow--x": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--y": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--spread": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--blur": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--inset": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--color": {
                        title: string;
                        desc: string;
                    };
                };
            };
            filter: {
                title: string;
                desc: string;
                values: {
                    "filter--blur": {
                        title: string;
                        desc: string;
                    };
                    "filter--brightness": {
                        title: string;
                        desc: string;
                    };
                    "filter--contrast": {
                        title: string;
                        desc: string;
                    };
                    "filter--grayscale": {
                        title: string;
                        desc: string;
                    };
                    "filter--hue-rotate": {
                        title: string;
                        desc: string;
                    };
                    "filter--invert": {
                        title: string;
                        desc: string;
                    };
                    "filter--opacity": {
                        title: string;
                        desc: string;
                    };
                    "filter--saturate": {
                        title: string;
                        desc: string;
                    };
                    "filter--sepia": {
                        title: string;
                        desc: string;
                    };
                };
            };
            animation: {
                title: string;
                desc: string;
                nots: {
                    comingsoon: {
                        title: string;
                        desc: string;
                    };
                };
            };
            addPreset: {
                title: string;
                desc: string;
            };
        };
    }>): void;
    subscribe(this: void, run: import("svelte/store").Subscriber<{
        reset: {
            title: string;
            desc: string;
        };
        limit: {
            optionBlock: string;
            limitAllowed: string;
            nots: {
                onLimit: string;
            };
        };
        hide: {
            title: string;
            desc: string;
        };
        show: {
            title: string;
            desc: string;
        };
        presets: {
            title: string;
            desc: string;
            official: {
                title: string;
                desc: string;
            };
            user: {
                title: string;
                desc: string;
                none: string;
                btnRemove: string;
            };
        };
        more: {
            title: string;
            desc: string;
            copy: {
                title: string;
                desc: string;
                btn: {
                    title: string;
                    onClick: string;
                };
                nots: {
                    success: string;
                };
            };
            addPresets: {
                title: string;
                desc: string;
                inputName: {
                    title: string;
                    desc: string;
                    placeholder: string;
                };
                inputObject: {
                    title: string;
                    desc: string;
                    placeholder: string;
                };
                btn: {
                    title: string;
                };
                nots: {
                    success: string;
                    errorName: string;
                    errorObject: string;
                };
            };
        };
        custom: {
            title: string;
            desc: string;
            border: {
                title: string;
                desc: string;
                values: {
                    "border-width": {
                        title: string;
                        desc: string;
                    };
                    "border-radius": {
                        title: string;
                        desc: string;
                    };
                    "border-style": {
                        title: string;
                        desc: string;
                    };
                    "border-color": {
                        title: string;
                        desc: string;
                    };
                };
            };
            shadow: {
                title: string;
                desc: string;
                values: {
                    "box-shadow--x": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--y": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--spread": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--blur": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--inset": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--color": {
                        title: string;
                        desc: string;
                    };
                };
            };
            filter: {
                title: string;
                desc: string;
                values: {
                    "filter--blur": {
                        title: string;
                        desc: string;
                    };
                    "filter--brightness": {
                        title: string;
                        desc: string;
                    };
                    "filter--contrast": {
                        title: string;
                        desc: string;
                    };
                    "filter--grayscale": {
                        title: string;
                        desc: string;
                    };
                    "filter--hue-rotate": {
                        title: string;
                        desc: string;
                    };
                    "filter--invert": {
                        title: string;
                        desc: string;
                    };
                    "filter--opacity": {
                        title: string;
                        desc: string;
                    };
                    "filter--saturate": {
                        title: string;
                        desc: string;
                    };
                    "filter--sepia": {
                        title: string;
                        desc: string;
                    };
                };
            };
            animation: {
                title: string;
                desc: string;
                nots: {
                    comingsoon: {
                        title: string;
                        desc: string;
                    };
                };
            };
            addPreset: {
                title: string;
                desc: string;
            };
        };
    }>, invalidate?: import("svelte/store").Invalidator<{
        reset: {
            title: string;
            desc: string;
        };
        limit: {
            optionBlock: string;
            limitAllowed: string;
            nots: {
                onLimit: string;
            };
        };
        hide: {
            title: string;
            desc: string;
        };
        show: {
            title: string;
            desc: string;
        };
        presets: {
            title: string;
            desc: string;
            official: {
                title: string;
                desc: string;
            };
            user: {
                title: string;
                desc: string;
                none: string;
                btnRemove: string;
            };
        };
        more: {
            title: string;
            desc: string;
            copy: {
                title: string;
                desc: string;
                btn: {
                    title: string;
                    onClick: string;
                };
                nots: {
                    success: string;
                };
            };
            addPresets: {
                title: string;
                desc: string;
                inputName: {
                    title: string;
                    desc: string;
                    placeholder: string;
                };
                inputObject: {
                    title: string;
                    desc: string;
                    placeholder: string;
                };
                btn: {
                    title: string;
                };
                nots: {
                    success: string;
                    errorName: string;
                    errorObject: string;
                };
            };
        };
        custom: {
            title: string;
            desc: string;
            border: {
                title: string;
                desc: string;
                values: {
                    "border-width": {
                        title: string;
                        desc: string;
                    };
                    "border-radius": {
                        title: string;
                        desc: string;
                    };
                    "border-style": {
                        title: string;
                        desc: string;
                    };
                    "border-color": {
                        title: string;
                        desc: string;
                    };
                };
            };
            shadow: {
                title: string;
                desc: string;
                values: {
                    "box-shadow--x": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--y": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--spread": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--blur": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--inset": {
                        title: string;
                        desc: string;
                    };
                    "box-shadow--color": {
                        title: string;
                        desc: string;
                    };
                };
            };
            filter: {
                title: string;
                desc: string;
                values: {
                    "filter--blur": {
                        title: string;
                        desc: string;
                    };
                    "filter--brightness": {
                        title: string;
                        desc: string;
                    };
                    "filter--contrast": {
                        title: string;
                        desc: string;
                    };
                    "filter--grayscale": {
                        title: string;
                        desc: string;
                    };
                    "filter--hue-rotate": {
                        title: string;
                        desc: string;
                    };
                    "filter--invert": {
                        title: string;
                        desc: string;
                    };
                    "filter--opacity": {
                        title: string;
                        desc: string;
                    };
                    "filter--saturate": {
                        title: string;
                        desc: string;
                    };
                    "filter--sepia": {
                        title: string;
                        desc: string;
                    };
                };
            };
            animation: {
                title: string;
                desc: string;
                nots: {
                    comingsoon: {
                        title: string;
                        desc: string;
                    };
                };
            };
            addPreset: {
                title: string;
                desc: string;
            };
        };
    }> | undefined): import("svelte/store").Unsubscriber;
};
