/**
 * Filters locales store.
 *
 * @description Define all Filters locale store functions in this file.
 */
import { get, writable, } from 'svelte/store';
import { functs } from '../../_shared/functs';
import { locales as localesData } from '../locales/main';
const localesFuncts = () => {
    const defaultValues = localesData;
    const value = writable(functs.deepCopy(defaultValues));
    const add = (locales) => {
        const actualValue = get(value);
        const res = functs.mergeDeep(actualValue, locales);
        value.set(res);
    };
    return {
        ...value,
        add,
    };
};
export const locales = localesFuncts();
