/**
 * Filters store file.
 *
 * @description Export all filters store functions.
 */
/// <reference types="svelte" />
export declare const filters: {
    custom: {
        updateValue: (id: import("../..").FilterCustomIds, newValue?: string | number | boolean | undefined) => void;
        values: import("svelte/store").Readable<import("../..").IFiltersCustom>;
        reset: () => void;
        resetValue: (id: import("../..").FilterCustomIds) => void;
        updateValues: (filters: import("../..").IFilterJsonValues) => void;
        getDefaultValue: (id: import("../..").FilterCustomIds) => string | number | boolean | undefined;
        resetWithValues: (filters: import("../..").IFilterJsonValues) => void;
        objectValues: import("svelte/store").Readable<{
            id: import("../..").FilterCustomIds;
            value: string | number | boolean;
            unit?: string | undefined;
        }[]>;
        jsonValues: import("svelte/store").Readable<string>;
        valuesWithLocales: import("svelte/store").Readable<import("../..").IFiltersCustomOpts>;
        valuesNotInDefault: {
            list: import("svelte/store").Readable<{
                "border-width": boolean;
                "border-style": boolean;
                "border-radius": boolean;
                "border-color": boolean;
                "box-shadow--x": boolean;
                "box-shadow--y": boolean;
                "box-shadow--spread": boolean;
                "box-shadow--blur": boolean;
                "box-shadow--inset": boolean;
                "box-shadow--color": boolean;
                "filter--blur": boolean;
                "filter--brightness": boolean;
                "filter--contrast": boolean;
                "filter--grayscale": boolean;
                "filter--hue-rotate": boolean;
                "filter--invert": boolean;
                "filter--opacity": boolean;
                "filter--saturate": boolean;
                "filter--sepia": boolean;
            }>;
            count: import("svelte/store").Readable<number>;
            countBySection: import("svelte/store").Readable<{
                filter: number;
                border: number;
                "box-shadow": number;
                animation: number;
            }>;
        };
        section: {
            open: (id: string | number) => void;
            reset: () => void;
            closeAll: () => void;
            set(this: void, value: {
                [key: string]: boolean;
            }): void;
            update(this: void, updater: import("svelte/store").Updater<{
                [key: string]: boolean;
            }>): void;
            subscribe(this: void, run: import("svelte/store").Subscriber<{
                [key: string]: boolean;
            }>, invalidate?: import("svelte/store").Invalidator<{
                [key: string]: boolean;
            }> | undefined): import("svelte/store").Unsubscriber;
        };
        limit: import("svelte/store").Writable<number | undefined>;
        isBlocked: import("svelte/store").Readable<boolean>;
        set(this: void, value: import("../..").IFiltersCustomOpts): void;
        update(this: void, updater: import("svelte/store").Updater<import("../..").IFiltersCustomOpts>): void;
        subscribe(this: void, run: import("svelte/store").Subscriber<import("../..").IFiltersCustomOpts>, invalidate?: import("svelte/store").Invalidator<import("../..").IFiltersCustomOpts> | undefined): import("svelte/store").Unsubscriber;
        default: import("../..").IFiltersCustomOpts;
        defaultInArray: import("../..").IFiltersCustom;
        defaultToExport: {
            id: import("../..").FilterCustomIds;
            value: string | number | boolean;
            unit?: string | undefined;
        }[];
    };
    presets: {
        valueID: import("svelte/store").Writable<string>;
        isValueSet: import("svelte/store").Readable<boolean>;
        update: (preset: import("../..").IFiltersPreset) => void;
        addCustom: ({ name, color, value }: import("../..").AddPresetParams) => void;
        removeCustom: (id: string) => void;
        customList: import("svelte/store").Writable<[] | import("../..").IFiltersPresets>;
        allList: import("svelte/store").Readable<any>;
        reset: () => void;
        subscribe(this: void, run: import("svelte/store").Subscriber<import("../..").IFiltersPreset | undefined>, invalidate?: import("svelte/store").Invalidator<import("../..").IFiltersPreset | undefined> | undefined): import("svelte/store").Unsubscriber;
        isValidObjStyle: (obj: unknown) => obj is import("../..").IFiltersPresetStyles;
        isInDefaultlist: (id: string) => boolean;
        isInCustomList: (id: string) => boolean;
        isInlist: (id: string) => boolean;
        getDefaultlistValue: (id: string) => import("../..").IFiltersPreset | undefined;
        getCustomListValue: (id: string) => import("../..").IFiltersPreset | undefined;
        getlistValue: (id: string) => import("../..").IFiltersPreset | undefined;
        default: string;
        list: import("../..").IFiltersPresets;
    };
    locales: {
        add: (locales: import("../..").RecursivePartial<{
            reset: {
                title: string;
                desc: string;
            };
            limit: {
                optionBlock: string;
                limitAllowed: string;
                nots: {
                    onLimit: string;
                };
            };
            hide: {
                title: string;
                desc: string;
            };
            show: {
                title: string;
                desc: string;
            };
            presets: {
                title: string;
                desc: string;
                official: {
                    title: string;
                    desc: string;
                };
                user: {
                    title: string;
                    desc: string;
                    none: string;
                    btnRemove: string;
                };
            };
            more: {
                title: string;
                desc: string;
                copy: {
                    title: string;
                    desc: string;
                    btn: {
                        title: string;
                        onClick: string;
                    };
                    nots: {
                        success: string;
                    };
                };
                addPresets: {
                    title: string;
                    desc: string;
                    inputName: {
                        title: string;
                        desc: string;
                        placeholder: string;
                    };
                    inputObject: {
                        title: string;
                        desc: string;
                        placeholder: string;
                    };
                    btn: {
                        title: string;
                    };
                    nots: {
                        success: string;
                        errorName: string;
                        errorObject: string;
                    };
                };
            };
            custom: {
                title: string;
                desc: string;
                border: {
                    title: string;
                    desc: string;
                    values: {
                        "border-width": {
                            title: string;
                            desc: string;
                        };
                        "border-radius": {
                            title: string;
                            desc: string;
                        };
                        "border-style": {
                            title: string;
                            desc: string;
                        };
                        "border-color": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                shadow: {
                    title: string;
                    desc: string;
                    values: {
                        "box-shadow--x": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--y": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--spread": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--blur": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--inset": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--color": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                filter: {
                    title: string;
                    desc: string;
                    values: {
                        "filter--blur": {
                            title: string;
                            desc: string;
                        };
                        "filter--brightness": {
                            title: string;
                            desc: string;
                        };
                        "filter--contrast": {
                            title: string;
                            desc: string;
                        };
                        "filter--grayscale": {
                            title: string;
                            desc: string;
                        };
                        "filter--hue-rotate": {
                            title: string;
                            desc: string;
                        };
                        "filter--invert": {
                            title: string;
                            desc: string;
                        };
                        "filter--opacity": {
                            title: string;
                            desc: string;
                        };
                        "filter--saturate": {
                            title: string;
                            desc: string;
                        };
                        "filter--sepia": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                animation: {
                    title: string;
                    desc: string;
                    nots: {
                        comingsoon: {
                            title: string;
                            desc: string;
                        };
                    };
                };
                addPreset: {
                    title: string;
                    desc: string;
                };
            };
        }> | undefined) => void;
        set(this: void, value: {
            reset: {
                title: string;
                desc: string;
            };
            limit: {
                optionBlock: string;
                limitAllowed: string;
                nots: {
                    onLimit: string;
                };
            };
            hide: {
                title: string;
                desc: string;
            };
            show: {
                title: string;
                desc: string;
            };
            presets: {
                title: string;
                desc: string;
                official: {
                    title: string;
                    desc: string;
                };
                user: {
                    title: string;
                    desc: string;
                    none: string;
                    btnRemove: string;
                };
            };
            more: {
                title: string;
                desc: string;
                copy: {
                    title: string;
                    desc: string;
                    btn: {
                        title: string;
                        onClick: string;
                    };
                    nots: {
                        success: string;
                    };
                };
                addPresets: {
                    title: string;
                    desc: string;
                    inputName: {
                        title: string;
                        desc: string;
                        placeholder: string;
                    };
                    inputObject: {
                        title: string;
                        desc: string;
                        placeholder: string;
                    };
                    btn: {
                        title: string;
                    };
                    nots: {
                        success: string;
                        errorName: string;
                        errorObject: string;
                    };
                };
            };
            custom: {
                title: string;
                desc: string;
                border: {
                    title: string;
                    desc: string;
                    values: {
                        "border-width": {
                            title: string;
                            desc: string;
                        };
                        "border-radius": {
                            title: string;
                            desc: string;
                        };
                        "border-style": {
                            title: string;
                            desc: string;
                        };
                        "border-color": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                shadow: {
                    title: string;
                    desc: string;
                    values: {
                        "box-shadow--x": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--y": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--spread": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--blur": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--inset": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--color": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                filter: {
                    title: string;
                    desc: string;
                    values: {
                        "filter--blur": {
                            title: string;
                            desc: string;
                        };
                        "filter--brightness": {
                            title: string;
                            desc: string;
                        };
                        "filter--contrast": {
                            title: string;
                            desc: string;
                        };
                        "filter--grayscale": {
                            title: string;
                            desc: string;
                        };
                        "filter--hue-rotate": {
                            title: string;
                            desc: string;
                        };
                        "filter--invert": {
                            title: string;
                            desc: string;
                        };
                        "filter--opacity": {
                            title: string;
                            desc: string;
                        };
                        "filter--saturate": {
                            title: string;
                            desc: string;
                        };
                        "filter--sepia": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                animation: {
                    title: string;
                    desc: string;
                    nots: {
                        comingsoon: {
                            title: string;
                            desc: string;
                        };
                    };
                };
                addPreset: {
                    title: string;
                    desc: string;
                };
            };
        }): void;
        update(this: void, updater: import("svelte/store").Updater<{
            reset: {
                title: string;
                desc: string;
            };
            limit: {
                optionBlock: string;
                limitAllowed: string;
                nots: {
                    onLimit: string;
                };
            };
            hide: {
                title: string;
                desc: string;
            };
            show: {
                title: string;
                desc: string;
            };
            presets: {
                title: string;
                desc: string;
                official: {
                    title: string;
                    desc: string;
                };
                user: {
                    title: string;
                    desc: string;
                    none: string;
                    btnRemove: string;
                };
            };
            more: {
                title: string;
                desc: string;
                copy: {
                    title: string;
                    desc: string;
                    btn: {
                        title: string;
                        onClick: string;
                    };
                    nots: {
                        success: string;
                    };
                };
                addPresets: {
                    title: string;
                    desc: string;
                    inputName: {
                        title: string;
                        desc: string;
                        placeholder: string;
                    };
                    inputObject: {
                        title: string;
                        desc: string;
                        placeholder: string;
                    };
                    btn: {
                        title: string;
                    };
                    nots: {
                        success: string;
                        errorName: string;
                        errorObject: string;
                    };
                };
            };
            custom: {
                title: string;
                desc: string;
                border: {
                    title: string;
                    desc: string;
                    values: {
                        "border-width": {
                            title: string;
                            desc: string;
                        };
                        "border-radius": {
                            title: string;
                            desc: string;
                        };
                        "border-style": {
                            title: string;
                            desc: string;
                        };
                        "border-color": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                shadow: {
                    title: string;
                    desc: string;
                    values: {
                        "box-shadow--x": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--y": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--spread": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--blur": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--inset": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--color": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                filter: {
                    title: string;
                    desc: string;
                    values: {
                        "filter--blur": {
                            title: string;
                            desc: string;
                        };
                        "filter--brightness": {
                            title: string;
                            desc: string;
                        };
                        "filter--contrast": {
                            title: string;
                            desc: string;
                        };
                        "filter--grayscale": {
                            title: string;
                            desc: string;
                        };
                        "filter--hue-rotate": {
                            title: string;
                            desc: string;
                        };
                        "filter--invert": {
                            title: string;
                            desc: string;
                        };
                        "filter--opacity": {
                            title: string;
                            desc: string;
                        };
                        "filter--saturate": {
                            title: string;
                            desc: string;
                        };
                        "filter--sepia": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                animation: {
                    title: string;
                    desc: string;
                    nots: {
                        comingsoon: {
                            title: string;
                            desc: string;
                        };
                    };
                };
                addPreset: {
                    title: string;
                    desc: string;
                };
            };
        }>): void;
        subscribe(this: void, run: import("svelte/store").Subscriber<{
            reset: {
                title: string;
                desc: string;
            };
            limit: {
                optionBlock: string;
                limitAllowed: string;
                nots: {
                    onLimit: string;
                };
            };
            hide: {
                title: string;
                desc: string;
            };
            show: {
                title: string;
                desc: string;
            };
            presets: {
                title: string;
                desc: string;
                official: {
                    title: string;
                    desc: string;
                };
                user: {
                    title: string;
                    desc: string;
                    none: string;
                    btnRemove: string;
                };
            };
            more: {
                title: string;
                desc: string;
                copy: {
                    title: string;
                    desc: string;
                    btn: {
                        title: string;
                        onClick: string;
                    };
                    nots: {
                        success: string;
                    };
                };
                addPresets: {
                    title: string;
                    desc: string;
                    inputName: {
                        title: string;
                        desc: string;
                        placeholder: string;
                    };
                    inputObject: {
                        title: string;
                        desc: string;
                        placeholder: string;
                    };
                    btn: {
                        title: string;
                    };
                    nots: {
                        success: string;
                        errorName: string;
                        errorObject: string;
                    };
                };
            };
            custom: {
                title: string;
                desc: string;
                border: {
                    title: string;
                    desc: string;
                    values: {
                        "border-width": {
                            title: string;
                            desc: string;
                        };
                        "border-radius": {
                            title: string;
                            desc: string;
                        };
                        "border-style": {
                            title: string;
                            desc: string;
                        };
                        "border-color": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                shadow: {
                    title: string;
                    desc: string;
                    values: {
                        "box-shadow--x": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--y": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--spread": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--blur": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--inset": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--color": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                filter: {
                    title: string;
                    desc: string;
                    values: {
                        "filter--blur": {
                            title: string;
                            desc: string;
                        };
                        "filter--brightness": {
                            title: string;
                            desc: string;
                        };
                        "filter--contrast": {
                            title: string;
                            desc: string;
                        };
                        "filter--grayscale": {
                            title: string;
                            desc: string;
                        };
                        "filter--hue-rotate": {
                            title: string;
                            desc: string;
                        };
                        "filter--invert": {
                            title: string;
                            desc: string;
                        };
                        "filter--opacity": {
                            title: string;
                            desc: string;
                        };
                        "filter--saturate": {
                            title: string;
                            desc: string;
                        };
                        "filter--sepia": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                animation: {
                    title: string;
                    desc: string;
                    nots: {
                        comingsoon: {
                            title: string;
                            desc: string;
                        };
                    };
                };
                addPreset: {
                    title: string;
                    desc: string;
                };
            };
        }>, invalidate?: import("svelte/store").Invalidator<{
            reset: {
                title: string;
                desc: string;
            };
            limit: {
                optionBlock: string;
                limitAllowed: string;
                nots: {
                    onLimit: string;
                };
            };
            hide: {
                title: string;
                desc: string;
            };
            show: {
                title: string;
                desc: string;
            };
            presets: {
                title: string;
                desc: string;
                official: {
                    title: string;
                    desc: string;
                };
                user: {
                    title: string;
                    desc: string;
                    none: string;
                    btnRemove: string;
                };
            };
            more: {
                title: string;
                desc: string;
                copy: {
                    title: string;
                    desc: string;
                    btn: {
                        title: string;
                        onClick: string;
                    };
                    nots: {
                        success: string;
                    };
                };
                addPresets: {
                    title: string;
                    desc: string;
                    inputName: {
                        title: string;
                        desc: string;
                        placeholder: string;
                    };
                    inputObject: {
                        title: string;
                        desc: string;
                        placeholder: string;
                    };
                    btn: {
                        title: string;
                    };
                    nots: {
                        success: string;
                        errorName: string;
                        errorObject: string;
                    };
                };
            };
            custom: {
                title: string;
                desc: string;
                border: {
                    title: string;
                    desc: string;
                    values: {
                        "border-width": {
                            title: string;
                            desc: string;
                        };
                        "border-radius": {
                            title: string;
                            desc: string;
                        };
                        "border-style": {
                            title: string;
                            desc: string;
                        };
                        "border-color": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                shadow: {
                    title: string;
                    desc: string;
                    values: {
                        "box-shadow--x": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--y": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--spread": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--blur": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--inset": {
                            title: string;
                            desc: string;
                        };
                        "box-shadow--color": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                filter: {
                    title: string;
                    desc: string;
                    values: {
                        "filter--blur": {
                            title: string;
                            desc: string;
                        };
                        "filter--brightness": {
                            title: string;
                            desc: string;
                        };
                        "filter--contrast": {
                            title: string;
                            desc: string;
                        };
                        "filter--grayscale": {
                            title: string;
                            desc: string;
                        };
                        "filter--hue-rotate": {
                            title: string;
                            desc: string;
                        };
                        "filter--invert": {
                            title: string;
                            desc: string;
                        };
                        "filter--opacity": {
                            title: string;
                            desc: string;
                        };
                        "filter--saturate": {
                            title: string;
                            desc: string;
                        };
                        "filter--sepia": {
                            title: string;
                            desc: string;
                        };
                    };
                };
                animation: {
                    title: string;
                    desc: string;
                    nots: {
                        comingsoon: {
                            title: string;
                            desc: string;
                        };
                    };
                };
                addPreset: {
                    title: string;
                    desc: string;
                };
            };
        }> | undefined): import("svelte/store").Unsubscriber;
    };
    styles: {
        add: (opts: import("../..").AddStylesConstructorParams) => void;
        sels: {
            set(this: void, value: string[]): void;
            update(this: void, updater: import("svelte/store").Updater<string[]>): void;
            subscribe(this: void, run: import("svelte/store").Subscriber<string[]>, invalidate?: import("svelte/store").Invalidator<string[]> | undefined): import("svelte/store").Unsubscriber;
            default: string[];
        };
        reset: () => void;
        hide: () => void;
        isHide: import("svelte/store").Writable<boolean>;
        id: import("svelte/store").Writable<string>;
        subscribe(this: void, run: import("svelte/store").Subscriber<{
            customValues: import("../..").IFiltersCustom;
            presetsValue: string;
            selectors: string[];
            isHide: boolean;
            id: string;
        }>, invalidate?: import("svelte/store").Invalidator<{
            customValues: import("../..").IFiltersCustom;
            presetsValue: string;
            selectors: string[];
            isHide: boolean;
            id: string;
        }> | undefined): import("svelte/store").Unsubscriber;
    };
    tabs: {
        set(this: void, value: number | undefined): void;
        update(this: void, updater: import("svelte/store").Updater<number | undefined>): void;
        subscribe(this: void, run: import("svelte/store").Subscriber<number | undefined>, invalidate?: import("svelte/store").Invalidator<number | undefined> | undefined): import("svelte/store").Unsubscriber;
    };
    more: {
        section: {
            open: (id: string | number) => void;
            reset: () => void;
            closeAll: () => void;
            set(this: void, value: {
                [key: string]: boolean;
            }): void;
            update(this: void, updater: import("svelte/store").Updater<{
                [key: string]: boolean;
            }>): void;
            subscribe(this: void, run: import("svelte/store").Subscriber<{
                [key: string]: boolean;
            }>, invalidate?: import("svelte/store").Invalidator<{
                [key: string]: boolean;
            }> | undefined): import("svelte/store").Unsubscriber;
        };
        addPreset: {
            update: (key: keyof {
                name: string;
                color: string;
                value: string;
            }, value: string) => void;
            isAdded: import("svelte/store").Writable<boolean>;
            isInvalidName: import("svelte/store").Readable<boolean>;
            isInvalidValue: import("svelte/store").Readable<boolean>;
            addFunct: () => Promise<void>;
            addCurrConfig: () => void;
            set(this: void, value: {
                name: string;
                color: string;
                value: string;
            }): void;
            subscribe(this: void, run: import("svelte/store").Subscriber<{
                name: string;
                color: string;
                value: string;
            }>, invalidate?: import("svelte/store").Invalidator<{
                name: string;
                color: string;
                value: string;
            }> | undefined): import("svelte/store").Unsubscriber;
        };
        copy: {
            isCopied: import("svelte/store").Writable<boolean>;
            copyFunct: () => Promise<void>;
            subscribe(this: void, run: import("svelte/store").Subscriber<string>, invalidate?: import("svelte/store").Invalidator<string> | undefined): import("svelte/store").Unsubscriber;
        };
    };
    active: {
        set(this: void, value: boolean): void;
        update(this: void, updater: import("svelte/store").Updater<boolean>): void;
        subscribe(this: void, run: import("svelte/store").Subscriber<boolean>, invalidate?: import("svelte/store").Invalidator<boolean> | undefined): import("svelte/store").Unsubscriber;
    };
    items: {
        allowedItems: import("svelte/store").Writable<import("../..").ObjectValues<{
            readonly custom: 1;
            readonly preset: 2;
            readonly more: 3;
            readonly btn: 4;
        }>[] | undefined>;
        ifHasValue: (id: 4 | 1 | 3 | 2) => boolean;
        subscribe(this: void, run: import("svelte/store").Subscriber<({
            name: string;
            desc: string;
            value: 1;
            indicator: boolean;
            component: typeof import("../tabs/custom/main.svelte").default;
        } | {
            name: string;
            desc: string;
            value: 2;
            indicator: boolean;
            component: typeof import("../tabs/presets/main.svelte").default;
        } | {
            name: string;
            desc: string;
            value: 3;
            component: typeof import("../tabs/more/main.svelte").default;
            indicator?: undefined;
        })[]>, invalidate?: import("svelte/store").Invalidator<({
            name: string;
            desc: string;
            value: 1;
            indicator: boolean;
            component: typeof import("../tabs/custom/main.svelte").default;
        } | {
            name: string;
            desc: string;
            value: 2;
            indicator: boolean;
            component: typeof import("../tabs/presets/main.svelte").default;
        } | {
            name: string;
            desc: string;
            value: 3;
            component: typeof import("../tabs/more/main.svelte").default;
            indicator?: undefined;
        })[]> | undefined): import("svelte/store").Unsubscriber;
    };
};
