/**
 * Filters "more" store.
 *
 * @description Define all Filters "more" store functions in this file.
 */
/// <reference types="svelte" />
import { type Writable } from 'svelte/store';
import { type AddPresetParams } from '../../../types';
type AddPresets = {
    name: AddPresetParams['name'];
    color: AddPresetParams['color'];
    value: string;
};
export declare const more: {
    section: {
        open: (id: string | number) => void;
        reset: () => void;
        closeAll: () => void;
        set(this: void, value: {
            [key: string]: boolean;
        }): void;
        update(this: void, updater: import("svelte/store").Updater<{
            [key: string]: boolean;
        }>): void;
        subscribe(this: void, run: import("svelte/store").Subscriber<{
            [key: string]: boolean;
        }>, invalidate?: import("svelte/store").Invalidator<{
            [key: string]: boolean;
        }> | undefined): import("svelte/store").Unsubscriber;
    };
    addPreset: {
        update: (key: keyof AddPresets, value: string) => void;
        isAdded: Writable<boolean>;
        isInvalidName: import("svelte/store").Readable<boolean>;
        isInvalidValue: import("svelte/store").Readable<boolean>;
        addFunct: () => Promise<void>;
        addCurrConfig: () => void;
        set(this: void, value: AddPresets): void;
        subscribe(this: void, run: import("svelte/store").Subscriber<AddPresets>, invalidate?: import("svelte/store").Invalidator<AddPresets> | undefined): import("svelte/store").Unsubscriber;
    };
    copy: {
        isCopied: Writable<boolean>;
        copyFunct: () => Promise<void>;
        subscribe(this: void, run: import("svelte/store").Subscriber<string>, invalidate?: import("svelte/store").Invalidator<string> | undefined): import("svelte/store").Unsubscriber;
    };
};
export {};
