/**
 * Filters presets store.
 *
 * @description Define all Filters presets store functions in this file.
 */
/// <reference types="svelte" />
import { type Writable } from 'svelte/store';
import { type AddPresetParams, type IFiltersPreset, type IFiltersPresets, type IFiltersPresetStyles } from '../../../types';
export declare const presets: {
    valueID: Writable<string>;
    isValueSet: import("svelte/store").Readable<boolean>;
    update: (preset: IFiltersPreset) => void;
    addCustom: ({ name, color, value }: AddPresetParams) => void;
    removeCustom: (id: string) => void;
    customList: Writable<[] | IFiltersPresets>;
    allList: import("svelte/store").Readable<any>;
    reset: () => void;
    subscribe(this: void, run: import("svelte/store").Subscriber<IFiltersPreset | undefined>, invalidate?: import("svelte/store").Invalidator<IFiltersPreset | undefined> | undefined): import("svelte/store").Unsubscriber;
    isValidObjStyle: (obj: unknown) => obj is IFiltersPresetStyles;
    isInDefaultlist: (id: string) => boolean;
    isInCustomList: (id: string) => boolean;
    isInlist: (id: string) => boolean;
    getDefaultlistValue: (id: string) => IFiltersPreset | undefined;
    getCustomListValue: (id: string) => IFiltersPreset | undefined;
    getlistValue: (id: string) => IFiltersPreset | undefined;
    default: string;
    list: IFiltersPresets;
};
